Get a Product by ID
get
/product/{id}
Retrieves the specified product.
Request
Path Parameters
-
id(required): string
The resource's ID.
Query Parameters
-
billingAccount.id: string
The ID of the associated billing account.
-
cycleEndDate: string(date-time)
The purchased product cycle end date in ISO-8601 date-time format.
-
cycleStartDate: string(date-time)
The purchased product cycle start date in ISO-8601 date-time format.
-
description: string
The resource's description.
-
fields: string
Specifies the comma-separated properties to include in the response.
-
filter: string
Specifies an advanced filter expression for nested fields, for example JSONPath.Examples
-
isBundle: boolean
Wether the resource is a bundle.
-
limit: integer
Specifies the number of resources to include in the response.
-
name: string
The resource's name.
-
offset: integer
Specifies the index of the first resource to include in the response.
-
productCharacteristic.id: string
The ID of the associated product characteristic.
-
productOffering.id: string
The identifier of the associated product offering.
-
productOffering.name: string
The name of the associated product offering.
-
purchaseEndDate: string(date-time)
The purchased product purchase end date in ISO-8601 date-time format.
-
purchaseStartDate: string(date-time)
The purchased product purchase start date in ISO-8601 date-time format.
-
quantity: integer
The service quantity when creating a purchase product.
-
realizingService.id: string
The ID of the associated realizing service.
-
specialRatingProfile.data.name: string
The special rating profile data attribute name. Append a supported operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
dummy -
specialRatingProfile.data.name.eq: string
Filters products whose special rating profile data name equals the specified value.Example:
dummy -
specialRatingProfile.data.name.like: string
Filters products whose special rating profile data name matches the specified wildcard pattern.Example:
dum% -
specialRatingProfile.data.validFor.endDateTime: string(date-time)
The end of the special rating profile data validity period. Append a supported comparison operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
2031-05-01T00:00:00.00Z -
specialRatingProfile.data.validFor.endDateTime.eq: string(date-time)
Filters products whose special rating profile data end time equals the specified date-time.Example:
2031-05-01T00:00:00.00Z -
specialRatingProfile.data.validFor.endDateTime.gt: string(date-time)
Filters products whose special rating profile data end time is after the specified date-time.Example:
2031-04-30T00:00:00.00Z -
specialRatingProfile.data.validFor.endDateTime.gte: string(date-time)
Filters products whose special rating profile data end time is after or equal to the specified date-time.Example:
2031-05-01T00:00:00.00Z -
specialRatingProfile.data.validFor.endDateTime.lt: string(date-time)
Filters products whose special rating profile data end time is before the specified date-time.Example:
2031-05-02T00:00:00.00Z -
specialRatingProfile.data.validFor.endDateTime.lte: string(date-time)
Filters products whose special rating profile data end time is before or equal to the specified date-time.Example:
2031-05-01T00:00:00.00Z -
specialRatingProfile.data.validFor.startDateTime: string(date-time)
The start of the special rating profile data validity period. Append a supported comparison operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
2031-04-02T18:23:39.00Z -
specialRatingProfile.data.validFor.startDateTime.eq: string(date-time)
Filters products whose special rating profile data start time equals the specified date-time.Example:
2031-04-02T18:23:39.00Z -
specialRatingProfile.data.validFor.startDateTime.gt: string(date-time)
Filters products whose special rating profile data start time is after the specified date-time.Example:
2031-04-01T00:00:00.00Z -
specialRatingProfile.data.validFor.startDateTime.gte: string(date-time)
Filters products whose special rating profile data start time is after or equal to the specified date-time.Example:
2031-04-02T18:23:39.00Z -
specialRatingProfile.data.validFor.startDateTime.lt: string(date-time)
Filters products whose special rating profile data start time is before the specified date-time.Example:
2031-04-03T00:00:00.00Z -
specialRatingProfile.data.validFor.startDateTime.lte: string(date-time)
Filters products whose special rating profile data start time is before or equal to the specified date-time.Example:
2031-04-02T18:23:39.00Z -
specialRatingProfile.data.value: string
The special rating profile data attribute value. Append a supported operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
0449335686849545 -
specialRatingProfile.data.value.eq: string
Filters products whose special rating profile data value equals the specified value.Example:
0449335686849545 -
specialRatingProfile.data.value.like: string
Filters products whose special rating profile data value matches the specified wildcard pattern.Example:
044% -
specialRatingProfile.id: string
The identifier of the special rating profile. Append a supported operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
88-1ZVHQ4-044 -
specialRatingProfile.id.eq: string
Filters products whose special rating profile identifier equals the specified value.Example:
88-1ZVHQ4-044 -
specialRatingProfile.id.like: string
Filters products whose special rating profile identifier matches the specified wildcard pattern.Example:
88-1ZVHQ4-% -
specialRatingProfile.label: string
The special rating profile label. Append a supported operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
Smart Calling up to 5 Numbers -
specialRatingProfile.label.eq: string
Filters products whose special rating profile label equals the specified value.Example:
Smart Calling up to 5 Numbers -
specialRatingProfile.label.like: string
Filters products whose special rating profile label matches the specified wildcard pattern.Example:
Smart% -
specialRatingProfile.name: string
The special rating profile name. Append a supported operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
FRIENDS_FAMILY -
specialRatingProfile.name.eq: string
Filters products whose special rating profile name equals the specified value.Example:
FRIENDS_FAMILY -
specialRatingProfile.name.like: string
Filters products whose special rating profile name matches the specified wildcard pattern.Example:
FRIENDS% -
specialRatingProfile.referenceCount: integer
The special rating profile reference count. Append a supported comparison operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Example:
1 -
specialRatingProfile.referenceCount.eq: integer
Filters products whose special rating profile reference count equals the specified value.Example:
1 -
specialRatingProfile.referenceCount.gt: integer
Filters products whose special rating profile reference count is greater than the specified value.Example:
0 -
specialRatingProfile.referenceCount.gte: integer
Filters products whose special rating profile reference count is greater than or equal to the specified value.Example:
1 -
specialRatingProfile.referenceCount.lt: integer
Filters products whose special rating profile reference count is less than the specified value.Example:
2 -
specialRatingProfile.referenceCount.lte: integer
Filters products whose special rating profile reference count is less than or equal to the specified value.Example:
1 -
specialRatingProfile.status: string
The special rating profile provisioning status. Append a supported operator suffix to the parameter name when required; an unsuffixed parameter uses equality.Allowed Values:
[ "noop", "provisioning", "provisioningFailed", "active", "unprovisioning", "unprovisioningFailed", "unprovisioned", "suspending", "suspendingFailed", "suspended" ]Example:active -
specialRatingProfile.status.eq: string
Filters products whose special rating profile status equals the specified value.Example:
active -
specialRatingProfile.status.gt: string
Filters products whose special rating profile status follows the specified status in mapper enum order.Example:
active -
specialRatingProfile.status.gte: string
Filters products whose special rating profile status follows or equals the specified status in mapper enum order.Example:
active -
specialRatingProfile.status.lt: string
Filters products whose special rating profile status precedes the specified status in mapper enum order.Example:
active -
specialRatingProfile.status.lte: string
Filters products whose special rating profile status precedes or equals the specified status in mapper enum order.Example:
active -
startDate: string(date-time)
The resource start date. The expected ISO-8601 format: 2025-01-02T01:30:00Z.Example:
2018-01-02T01:30:00Z -
status: string
The resource's status.
-
terminationDate: string(date-time)
The resource termination date. The expected ISO-8601 format: 2025-01-02T01:30:00Z.Example:
2025-01-02T01:30:00Z -
usageEndDate: string(date-time)
The purchased product usage end date in ISO-8601 date-time format.
-
usageStartDate: string(date-time)
The purchased product usage start date in ISO-8601 date-time format.
There's no request body for this operation.
Back to TopResponse
200 Response
The request was successfully completed.
Nested Schema : Product
Match All
A product offering procured by a customer or any other party playing a party role. The product is realized as one or more services or resources.
Show Source
-
object
allOf
Entity
Represents a base entity schema for TM Forum Open APIs.
-
object
Product-allOf[1]
A product offering procured by a customer or any other party playing a party role. The product is realized as one or more services or resources.
Nested Schema : ProductOracle
Match All
A product offering procured by a customer or other interested party playing a party role. A product is realized as one or more service and/or resources.
Show Source
-
allOf
Product
-
object
ProductOracle-allOf[1]
A product offering procured by a customer or other interested party playing a party role. A product is realized as one or more service and/or resources.
Nested Schema : Entity
Type:
objectRepresents a base entity schema for TM Forum Open APIs.
Match All
Represents a base entity schema for TM Forum Open APIs.
Represents a base entity schema for TM Forum Open APIs.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Addressable
Type:
objectDefines a base schema for addressable entities.
Show Source
-
href: string
The hyperlink reference.
-
id: string
The ID.
Nested Schema : Product-allOf[1]
Type:
objectA product offering procured by a customer or any other party playing a party role. The product is realized as one or more services or resources.
Show Source
-
billingAccount:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "BillingAccountRef":"#/components/schemas/BillingAccountRef" } } -
description: string
Describes the product. You can copy it from the product offering description.
-
isBundle: boolean
Indicates whether the product is a ProductBundle (true) or a ProductComponent (false).
-
name: string
The product name; it can match the product offering name.
-
product: array
product
-
productCharacteristic: array
productCharacteristic
-
productOffering:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductOfferingRef":"#/components/schemas/ProductOfferingRef" } } -
productPrice: array
productPrice
-
productRelationship: array
productRelationship
-
realizingService: array
realizingService
-
startDate: string
(date-time)
The date the product starts.
-
status: string
Allowed Values:
[ "created", "pendingActive", "cancelled", "active", "pendingTerminate", "terminated", "suspended", "aborted" ]The possible values for a product's status. -
terminationDate: string
(date-time)
The date the product was terminated.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Refers to the billing account. The billing account describes the bill structure.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Refers to the billing account. The billing account describes the bill structure.
Nested Schema : product
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Product":"#/components/schemas/Product", "ProductRef":"#/components/schemas/ProductRef", "ProductOracle":"#/components/schemas/ProductOracle" } }The polymorphic attributes (@type, @schemaLocation, and @referredType) apply to the Product entity, not to the ProductRefOrValue class.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Represents entities that are orderable from the catalog provider. This resource includes pricing information.
Show Source
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[1]
Represents entities that are orderable from the catalog provider. This resource includes pricing information.
Nested Schema : productPrice
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductPrice":"#/components/schemas/ProductPrice" } }
Nested Schema : productRelationship
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductRelationship":"#/components/schemas/ProductRelationship" } }
Nested Schema : realizingService
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ServiceRef":"#/components/schemas/ServiceRef" } }The service reference used by other entities.
Nested Schema : EntityRef
Match All
Represents an entity reference schema for EntityRef classes.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Addressable
Defines a base schema for addressable entities.
-
object
EntityRef-allOf[2]
Represents an entity reference schema for EntityRef classes.
Nested Schema : EntityRef-allOf[2]
Type:
objectRepresents an entity reference schema for EntityRef classes.
Show Source
-
@referredType: string
The actual type of the target instance when needed for disambiguation.
-
href: string
The URI of the referred entity.
-
id(required): string
The identifier of the referred entity.
-
name: string
The referred entity's name.
Nested Schema : Discriminator: @type-allOf[2]
Type:
objectRefers to the billing account. The billing account describes the bill structure.
Show Source
-
ratingType: string
Indicates if the account follows a specific payment option such as prepaid or postpaid.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
The polymorphic attributes (@type, @schemaLocation, and @referredType) apply to the Product entity, not to the ProductRefOrValue class.
Match One Schema
Show Source
-
Product
-
object
ProductRef
A product reference.
-
ProductOracle
Nested Schema : ProductRef
Type:
objectA product reference.
Match All
A product reference.
A product reference.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
Nested Schema : Characteristic
Match All
Describes a given characteristic of an object or entity through a name/value pair.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Characteristic-allOf[1]
Describes a given characteristic of an object or entity through a name/value pair.
Nested Schema : Characteristic-allOf[1]
Type:
objectDescribes a given characteristic of an object or entity through a name/value pair.
Show Source
-
characteristicRelationship: array
characteristicRelationship
-
id: string
The characteristic's ID.
-
name: string
The characteristic's name.
-
valueType: string
The characteristic value's data type.
Nested Schema : CharacteristicRelationship
Match All
The related characteristic.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
CharacteristicRelationship-allOf[1]
The related characteristic.
Nested Schema : CharacteristicRelationship-allOf[1]
Type:
objectThe related characteristic.
Show Source
-
id: string
The characteristic's ID.
-
relationshipType: string
The relationship type.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectRepresents entities that are orderable from the catalog provider. This resource includes pricing information.
Show Source
-
version: string
Version of the product offering
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Describes the price and any discount awarded.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Discriminator: @type-allOf[1]
Describes the price and any discount awarded.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectDescribes the price and any discount awarded.
Show Source
-
description: string
A description of the product price.
-
name: string
The name of the product price.
-
price:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Price":"#/components/schemas/Price" } } -
priceAlteration: array
priceAlteration
-
priceType: string
Indicates whether the price is for a recurring or a non-recurring charge.
-
productOfferingPrice:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductOfferingPriceRef":"#/components/schemas/ProductOfferingPriceRef" } } -
recurringChargePeriod: string
Indicates the period for a recurring charge (for example: month or week).
-
unitOfMeasure: string
Unit of measure if the price depends on it (for example: GB or SMS volume).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Provides monetary amounts (tax included, duty-free), currency, and percentages to apply to Price and PriceAlteration.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Discriminator: @type-allOf[1]
Provides monetary amounts (tax included, duty-free), currency, and percentages to apply to Price and PriceAlteration.
Nested Schema : priceAlteration
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "PriceAlteration":"#/components/schemas/PriceAlteration" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
An amount, usually monetary, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Show Source
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[1]
An amount, usually monetary, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectProvides monetary amounts (tax included, duty-free), currency, and percentages to apply to Price and PriceAlteration.
Show Source
-
dutyFreeAmount: object
Money
Represents a monetary amount.
-
percentage: number
(float)
The percentage to apply to a product offering price alteration.
-
taxIncludedAmount: object
Money
Represents a monetary amount.
-
taxRate: number
(float)
The tax rate.
Nested Schema : Money
Type:
objectRepresents a monetary amount.
Show Source
-
unit: string
The currency's ISO 4217 three-letter code.
-
value: number
(double)
A signed floating-point number whose sign depends on the API context.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
An amount, usually monetary, that modifies the price charged for an order item.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Discriminator: @type-allOf[1]
An amount, usually monetary, that modifies the price charged for an order item.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectAn amount, usually monetary, that modifies the price charged for an order item.
Show Source
-
applicationDuration: integer
The duration for which the alteration applies to the order item price (for example: 2 months free of charge for the recurring charge).
-
description: string
Describes the semantics of this order item price alteration.
-
name: string
The order item price alteration name.
-
price:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "Price":"#/components/schemas/Price" } } -
priceType: string
The price category (for example: recurring, one time, or usage).
-
priority: integer
The priority for applying this alteration among all defined alterations on the order item price.
-
productOfferingPrice:
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductOfferingPriceRef":"#/components/schemas/ProductOfferingPriceRef" } } -
recurringChargePeriod: string
Specifies the recurring charge period (for example: month or week).
-
unitOfMeasure: string
Specifies the unit of measure (for example: minutes or GB).
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectAn amount, usually monetary, that is asked for or allowed when a ProductOffering is bought, rented, or leased.
Show Source
-
version: string
The product offering price version.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Describes the relationship between products.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
-
object
Discriminator: @type-allOf[2]
Describes the relationship between products.
Nested Schema : Discriminator: @type-allOf[2]
Type:
objectDescribes the relationship between products.
Show Source
-
id: string
The related product's ID.
-
relationshipType: string
Specifies the relationship type (for example: bundledBy, bundles, tiedDiscount, or tiedProduct).
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
The service reference used by other entities.
Match All
The service reference used by other entities.
The service reference used by other entities.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
allOf
EntityRef
Nested Schema : ProductOracle-allOf[1]
Type:
objectA product offering procured by a customer or other interested party playing a party role. A product is realized as one or more service and/or resources.
Show Source
-
cycleEnd:
CycleEndRef
-
cycleEndDate: string
(date-time)
The purchased product cycle end date.
-
cycleStart:
CycleStartRef
-
cycleStartDate: string
(date-time)
The purchased product cycle start date.
-
gracePeriod:
GracePeriodRef
-
productPrice: array
productPrice
-
productRelationship: array
productRelationship
-
purchaseEnd:
PurchaseEndRef
-
purchaseEndDate: string
(date-time)
The purchased product purchase end date.
-
purchaseStart:
PurchaseStartRef
-
purchaseStartDate: string
(date-time)
The purchased product purchase start date.
-
quantity: integer
Is the quantity of service while creation of a purchase product.
-
specialRatingProfile:
specialRatingProfile
Service extended rating profile linked to the product.
-
usageEnd:
UsageEndRef
-
usageEndDate: string
(date-time)
The purchased product usage end date.
-
usageStart:
UsageStartRef
-
usageStartDate: string
(date-time)
The purchased product usage start date.
Nested Schema : CycleEndRef
Match All
CycleEnd reference. A CycleEnd contains details regarding cycle end date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
CycleEndRef-allOf[1]
CycleEnd reference. A CycleEnd contains details regarding cycle end date for purchased product.
Nested Schema : CycleStartRef
Match All
CycleStart reference. A CycleStart contains details regarding cycle start date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
CycleStartRef-allOf[1]
CycleStart reference. A CycleStart contains details regarding cycle start date for purchased product.
Nested Schema : GracePeriodRef
Match All
GracePeriod reference. A GracePeriod contains details regarding grace period date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
GracePeriodRef-allOf[1]
GracePeriod reference. A GracePeriod contains details regarding grace period date for purchased product.
Nested Schema : productPrice
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductPrice":"#/components/schemas/ProductPriceOracle" } }
Nested Schema : productRelationship
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductRelationship":"#/components/schemas/ProductRelationshipOracle" } }
Nested Schema : PurchaseEndRef
Match All
PurchaseEnd reference. A PurchaseEnd contains details regarding purchase end date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
PurchaseEndRef-allOf[1]
PurchaseEnd reference. A PurchaseEnd contains details regarding purchase end date for purchased product.
Nested Schema : PurchaseStartRef
Match All
PurchaseStart reference. A PurchaseStart contains details regarding purchase start date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
PurchaseStartRef-allOf[1]
PurchaseStart reference. A PurchaseStart contains details regarding purchase start date for purchased product.
Nested Schema : specialRatingProfile
Service extended rating profile linked to the product.
Match All
Service extended rating profile linked to the product.
Show Source
-
object
allOf
SpecialRatingProfile
Represents a product-linked special rating profile instance for BRM service extended rating.
Nested Schema : UsageEndRef
Match All
UsageEnd reference. A UsageEnd contains details regarding usage end date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
UsageEndRef-allOf[1]
UsageEnd reference. A UsageEnd contains details regarding usage end date for purchased product.
Nested Schema : UsageStartRef
Match All
UsageStart reference. A UsageStart contains details regarding usage start date for purchased product.
Show Source
-
object
CPUDatesExtension_FVO
Contains the CPU extension dates' common properties.
-
object
UsageStartRef-allOf[1]
UsageStart reference. A UsageStart contains details regarding usage start date for purchased product.
Nested Schema : CPUDatesExtension_FVO
Type:
objectContains the CPU extension dates' common properties.
Show Source
-
amount(required): integer
Indicates the amount of time of a given unit.
-
unit(required): string
Allowed Values:
[ "seconds", "minutes", "hours", "days", "months", "acct_cycles", "first_usage", "absolute" ]Indicates the unit of time for the CPU extension date. Can be "seconds", "minutes", "hours", "days", "months", "acct_cycles", "first_usage" and "absolute".
Nested Schema : CycleEndRef-allOf[1]
Type:
objectCycleEnd reference. A CycleEnd contains details regarding cycle end date for purchased product.
Nested Schema : CycleStartRef-allOf[1]
Type:
objectCycleStart reference. A CycleStart contains details regarding cycle start date for purchased product.
Nested Schema : GracePeriodRef-allOf[1]
Type:
objectGracePeriod reference. A GracePeriod contains details regarding grace period date for purchased product.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
A description of the price and discount awarded.
Show Source
-
object
allOf
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductPrice":"#/components/schemas/ProductPrice" } } -
object
Discriminator: @type-allOf[1]
A description of the price and discount awarded.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectA description of the price and discount awarded.
Show Source
-
priceAlteration(required): array
priceAlteration
-
priceType(required): string
Allowed Values:
[ "oneTime", "recurring" ]The price type: one-time or recurring.
Nested Schema : priceAlteration
Type:
Show Source
array-
Array of:
object Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "PriceAlteration":"#/components/schemas/PriceAlterationOracle" } }
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Is an amount, usually of money, that modifies the price charged for an order item.
Show Source
-
object
allOf
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "PriceAlteration":"#/components/schemas/PriceAlteration" } } -
object
Discriminator: @type-allOf[1]
Is an amount, usually of money, that modifies the price charged for an order item.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectIs an amount, usually of money, that modifies the price charged for an order item.
Show Source
-
priceType: string
Allowed Values:
[ "AmountOverride", "DiscountPercentageOverride", "DiscountAmountOverride" ]A category that describes the price, such as AmountOverride, DiscountPercentageOverride, or DiscountAmountOverride.
Nested Schema : Discriminator: @type
Type:
objectDiscriminator: @type
Discriminator Values
Match All
Used to describe the relationship between products.
Show Source
-
object
allOf
Discriminator: @type
Discriminator:
{ "propertyName":"@type", "mapping":{ "ProductRelationship":"#/components/schemas/ProductRelationship" } } -
object
Discriminator: @type-allOf[1]
Used to describe the relationship between products.
Nested Schema : Discriminator: @type-allOf[1]
Type:
objectUsed to describe the relationship between products.
Show Source
-
relationshipType(required): string
Allowed Values:
[ "bundles", "bundledBy", "tiedDiscount", "tiedProduct" ]The relationship type: bundles, bundledBy, tiedDiscount, tiedProduct.
Nested Schema : PurchaseEndRef-allOf[1]
Type:
objectPurchaseEnd reference. A PurchaseEnd contains details regarding purchase end date for purchased product.
Nested Schema : PurchaseStartRef-allOf[1]
Type:
objectPurchaseStart reference. A PurchaseStart contains details regarding purchase start date for purchased product.
Nested Schema : SpecialRatingProfile
Type:
objectRepresents a product-linked special rating profile instance for BRM service extended rating.
Show Source
-
@type: string
Identifies the service extended rating profile type.
-
data: array
data
The rating attribute values used by rating.
-
id: string
The profile identifier.
-
label: string
The label used to identify the special rating profile in rating rules.
-
name: string
The special rating profile name.
-
referenceCount: integer
The special rating profile reference count.
-
status: string
Allowed Values:
[ "noop", "provisioning", "provisioningFailed", "active", "unprovisioning", "unprovisioningFailed", "unprovisioned", "suspending", "suspendingFailed", "suspended" ]The special rating profile provisioning status.
Match All
Represents a product-linked special rating profile instance for BRM service extended rating.
Represents a product-linked special rating profile instance for BRM service extended rating.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
SpecialRatingProfile-allOf[1]
Nested Schema : SpecialRatingProfile-allOf[1]
Type:
objectNested Schema : UsageEndRef-allOf[1]
Type:
objectUsageEnd reference. A UsageEnd contains details regarding usage end date for purchased product.
Nested Schema : UsageStartRef-allOf[1]
Type:
objectUsageStart reference. A UsageStart contains details regarding usage start date for purchased product.
Examples
400 Response
The server received a bad request.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
401 Response
The request is unauthorized.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
403 Response
The request is forbidden.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
404 Response
The resource is not found.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
405 Response
The method is not allowed.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
500 Response
The server encountered an internal error.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
501 Response
The server does not implement this operation.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
503 Response
The service is unavailable.
Root Schema : Error
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Match All
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Represents an error returned by an API, typically with an HTTP 3xx, 4xx, or 5xx response code.
Show Source
-
object
Extensible
Represents a base extensible schema for TM Forum Open APIs. The entity must include @type.
-
object
Error-allOf[1]
Nested Schema : Extensible
Type:
objectRepresents a base extensible schema for TM Forum Open APIs. The entity must include @type.
Show Source
-
@baseType: string
The superclass.
-
@schemaLocation: string
The URI of a JSON Schema file that defines additional attributes and relationships.
-
@type(required): string
The subclass Extensible name.
Nested Schema : Error-allOf[1]
Type:
Show Source
object-
code(required): string
The application-specific error detail defined by the API or a common list.
-
message: string
Provides error details and corrective actions for a client user.
-
reason(required): string
Explains the error to a client user.
-
referenceError: string
The URI of documentation that describes the error.
-
status: string
The HTTP error code extension.
Examples
This example shows how to retrieve a product by its ID by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL.
curl -X GET 'http://hostname:port/brm/productInventory/v5/product/0.0.0.1+-purchased_product+167961'
Example of the Response Body
If successful, the response code 200 is returned with the following response body.
{
"isBundle": true,
"name": "Voice Over IP ",
"@type": "Product",
"description": "Test description",
"terminationDate": "2020-01-04T08:00:00.00Z",
"productOffering": {
"id": "0.0.0.1+-product+174600",
"name": "Teen Telephony C4B0",
"@type": "ProductOffering"
},
"productCharacteristic": [
{
"id": "IMEI-006",
"name": "IMEI",
"valueType": "string",
"value": "IMEI_FlatTelco",
"@type": "StringCharacteristic"
},
{
"id": "",
"name": "MSISDN",
"valueType": "string",
"value": "90121391291",
"@type": "StringCharacteristic"
},
{
"id": "",
"name": "ServiceType",
"valueType": "string",
"value": "/service/telco/gsm/telephony",
"@type": "StringCharacteristic"
}
],
"id": "0.0.0.1+-purchased_product+167961",
"href": "https://host:port/brm/productInventory/v5/product/0.0.0.1+-purchased_product+167961",
"status": "active",
"quantity": 1,
"billingAccount": {
"id": "0.0.0.1+-account+169803",
"name": "Junior Walter",
"@type": "BillingAccount"
},
"realizingService": [
{
"id": "0.0.0.1+-service-telco-gsm-telephony+168937",
"@type": "RealizingService"
}
],
"startDate": "2020-01-03T08:00:00.00Z",
"cycleStartDate": "2020-01-03T08:00:00.00Z",
"purchaseStartDate": "2020-01-03T08:00:00.00Z",
"usageStartDate": "2020-01-03T08:00:00.00Z",
"cycleEndDate": "2020-01-04T08:00:00.00Z",
"purchaseEndDate": "2020-01-04T08:00:00.00Z",
"usageEndDate": "2020-01-04T08:00:00.00Z"
}